/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package screening

import (
	e "simrs-vx/internal/domain/main-entities/screening"
	erc "simrs-vx/internal/domain/references/common"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Screening) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
		data.Status = erc.DVCValidated
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Employee_Id = inputSrc.Employee_Id
	data.Type = inputSrc.Type
	data.Value = inputSrc.Value
}
